# -------------------------------------------------------------------
# Copyright 2001-2004 The Apache Software Foundation.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#      http://www.apache.org/licenses/LICENSE-2.0
#  
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# -------------------------------------------------------------------

# -------------------------------------------------------------------
# P R O J E C T  P R O P E R T I E S
# -------------------------------------------------------------------
maven.xdoc.date=left
maven.checkstyle.header.file = ${basedir}/../../../../checkstyle-license.txt

# Put line count at a low number so that we can get Simian-reported errors
maven.simian.linecount = 5

# MUST specify these, even though they are the defaults, so we can run 
# inside reactor where they were already set.
maven.multiproject.basedir=${basedir}
maven.multiproject.includes=*/project.xml
maven.multiproject.excludes=

# Turn off these properties as we're using the multiproject plugin to 
# generate the dashboard
maven.dashboard.rungoals = false
maven.dashboard.runreactor = false

# Define what dashboard aggregators will be run. This property is inherited
# by the subprojects and thus they don't need to define it again.
maven.dashboard.aggregators = csall,cserrors,cswarnings,clovertpc,cloverloc,cloverncloc,junittests,junitpassrate,junitfailures,juniterrors,simiantdl

# Make sure that an XML report is generated whenever Clover is run. Also
# inherited by the subprojects.
maven.clover.report.xml = true
